import 'dart:async';
import 'dart:convert';


import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';



class LandingScreen1 extends StatefulWidget {
  const LandingScreen1({Key? key}) : super(key: key);

  @override
  State<LandingScreen1> createState() => _LandingScreen1State();
}

class _LandingScreen1State extends State<LandingScreen1> {

  PageController pageController=PageController( initialPage: 0);


  int _currentIndex=0;

  List<dynamic>landingImage = [
    'assets/landing/1.jpg',
    'assets/landing/2.jpg',
    'assets/landing/3.jpg',
  ];
  List heading=['Lorem Ipsum1',
    'Lorem Ipsum2','Lorem Ipsum3',
    ];
  List details=[
    "Neque porro quisquam est qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit...",
    "There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain...",
    "Maecenas convallis turpis vitae est venenatis scelerisque eu a nibh. Maecenas ut lobortis enim. Nam eget metus diam. Aliquam erat volutpat."
  ];




  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    const myColor=Colors.teal;
    return  Scaffold(

      body: Stack(
        children: [
          PageView.builder(
            itemCount: landingImage.length,
              scrollBehavior: const ScrollBehavior(),
              controller: pageController,
              onPageChanged: (index){
                setState(() {
                  _currentIndex=index;
                });
              },
              itemBuilder: (BuildContext context, int index){
                if(landingImage.isEmpty){
                  return  LinearProgressIndicator(
                    color: Colors.grey.shade100,
                    backgroundColor: Colors.white54,
                  );
                }else {
                  return

                    Stack(
                      children: [
                        Container(
                            height: screenSize.height,
                            width: screenSize.width,
                            decoration: BoxDecoration(
                                image: DecorationImage(image: AssetImage('${landingImage[index]}'),fit: BoxFit.cover)
                            )
                        ),
                        Center(
                          child: Padding(
                            padding: const EdgeInsets.symmetric(horizontal: 20.0,vertical: 130),
                            child: Column(
                              mainAxisAlignment: MainAxisAlignment.end,
                              children: [
                                Text('${heading[index]}',style: TextStyle(fontSize: 35,color: Colors.white),),
                                Text('${details[index]}',style: TextStyle(fontSize: 18,color: Colors.white),),

                              ],
                            ),
                          ),
                        )
                      ],
                    );
                }
              }
          ),
          Padding(
            padding:  EdgeInsets.only(top: screenSize.height*.9),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                for(var i=0; i<landingImage.length; i++)
                  DotIndicator(_currentIndex==i)
              ],),
          ),
        ],
      ),

    );
  }


}

Widget DotIndicator(bool x){
  return Padding(
    padding: const EdgeInsets.all(8.0),
    child: Container(
      height: x? 12:8,
      width:  x? 25:8,
      decoration:   BoxDecoration(
          color: x? Colors.deepPurple: Colors.white70,
          borderRadius: BorderRadius.circular(5),
          boxShadow: [BoxShadow(
            blurRadius: 2,
            color: Colors.grey,
            spreadRadius: 2,
          )
          ]
      ),
    ),
  );
}



